summaryrefslogtreecommitdiff
path: root/wfpc2tools/build.sh
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
commite4caf4a2acbb18875b1064246554e4105449b5a3 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /wfpc2tools/build.sh
downloadastroconda-contrib-e4caf4a2acbb18875b1064246554e4105449b5a3.tar.gz
Initial commit
Diffstat (limited to 'wfpc2tools/build.sh')
-rw-r--r--wfpc2tools/build.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/wfpc2tools/build.sh b/wfpc2tools/build.sh
new file mode 100644
index 0000000..6313265
--- /dev/null
+++ b/wfpc2tools/build.sh
@@ -0,0 +1,30 @@
+
+function get_py_version() {
+python --version 2>&1| awk '{sub(/-.*/,"",$2);print $2}'
+}
+export -f get_py_version
+
+function set_py3k() {
+version=`get_py_version`
+major=`echo $version | cut -d '.' -f 1`
+minor=`echo $version | cut -d '.' -f 2`
+hotfix=`echo $version | cut -d '.' -f 3`
+if (( major > 2 )); then
+export PY3K=1
+else
+export PY3K=0
+fi
+}
+export -f set_py3k
+
+set_py3k
+
+pip install --no-deps --upgrade --force d2to1 || exit 1
+
+echo "This doesn't work. Why conda why? --python 2.7 is useless here"
+if [ $PY3K -ne 0 ] ; then
+sed -i -e "s|stsci.distutils.hooks.tag_svn_revision|#removed|" setup.cfg
+2to3 -w .
+fi
+
+python setup.py install || exit 1 \ No newline at end of file